/*
 * Universidad Catlica Andrs Bello
 * Facultad de Ingeniera
 * Escuela de Ingeniera Informtica
 * 
 * Traductores e Intrpretes
 * Semestre 2007-21
 * 
 * Proyecto: Wikilator
 * 
 * Integrantes:
 * 
 * TODO: agregar lista de integrantes
 * 
 */

header {
package ve.edu.ucab.ti.razor.parser;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
}

/* Definicin Lxica */
class RazorParser extends Parser;
options {
	k=1;
	buildAST = false;
}

{
	public static void parse(String fileName)
			throws FileNotFoundException, RecognitionException,
			TokenStreamException {
		parse(new FileInputStream(fileName));

	}

	public static void parse(InputStream stream)
			throws RecognitionException, TokenStreamException {
		RazorLexer lexer = new RazorLexer(stream);
		RazorParser parser = new RazorParser(lexer);
		parser.program();

	}
}


program : EOF;





/* LEXICAL DEFINITION */
class RazorLexer extends Lexer;
options {
	k = 1;
	charVocabulary = '\3'..'\377'; // extended ASCII (3-255 in octal notation)
	caseSensitive=true;
}

WS: ' ';

protected
LETTER : 'A'..'Z'|'a'..'z';

protected
DIGIT : '0'..'9';


